# capability

abstract fun capability(group: String, name: String, version: String)

Declares a capability of this feature.

Calling this method multiple times will declare additional capabilities. Note that calling this method will drop the default capability that is added by registerFeature. If you want to keep the default capability and add a new one you need to restore the default capability:

    registerFeature("myFeature") {
        capability("${project.group}", "${project.name}-my-feature", "${project.version}")
        capability("com.example", "some-other-capability", "2.0")
    }

Content copied to clipboard

#### Parameters

group

the group of the capability

name

the name of the capability

version

the version of the capability